<?php

namespace Tests;

use \Mockery;
use Sisoft\Temperature\Temperature;

class TemperatureTest extends \PHPUnit\Framework\TestCase
{
    public function testGetsAverageTemperatureFromThreeServiceReadings()
    {
        $service = Mockery::mock('External\Service');

        $service->shouldReceive('leerTemperatura')
            ->times(3)
            ->andReturn(12, 10, 14);

        $temperature = new Temperature($service);

        $this->assertEquals(12, $temperature->average());
    }
}
